# (NEW!) List Requests COMING SOON Use this endpoint to return a listing of all Requests. The request body is entirely optional, and by default, the API will return all types of Requests sorted by created_date from the most recent to the oldest in batches of 100. No metadata on the requests is returned from this endpoint. Endpoint: POST /request/list Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation ## Request fields (application/json): - `from` (integer) Starting index for each request, used in conjunction with the limit property to paginate results. - `limit` (integer) Number of results to return per request/page. Example: 100 - `type` (string) Optional property to filter the response to only specific Request Types. Example: "Upload" - `status` (string) Optional property to filter the response to only Requests with a specific status. Example: "In Progress" - `includes` (array) Optional array to provide searchField values for the metadata attributes on the Requests that you'd like returned in addition to the standard Request data. Example: ["asset_identifier","primary_sku_entry","pi_table_prim_product_info"] ## Response 200 fields (application/json): - `total` (integer) total number of results based on search criteria. Example: 54 - `results` (array) - `results.id` (string) Unique Identifier for the Request in Tenovos. Example: "09a52f4f-1d6d-4f62-a263-877acac65ff9" - `results.title` (string) The Title of the request. Example: "Galvin's Upload Request" - `results.type` (string) Identifies the type of the Request Example: "Upload" - `results.assetCount` (integer) Provides a count of the number of assets belonging to the Request. Example: 2 - `results.assignees` (array) - `results.assignees.id` (string) Tenovos User Id for the user who the request is assigned to. Example: "986caca7-b6d4-478b-9850-acf54b25c6d5" - `results.assignees.firstName` (string) First Name of the user who the request is assigned to. Example: "Galvin" - `results.assignees.lastName` (string) Last Name of the user who the request is assigned to. Example: "Belson" - `results.assignees.email` (string) Email address used for the user account who the request is assigned to. Example: "galvin.belson@huli.com" - `results.submittedBy` (object) - `results.submittedBy.id` (string) Tenovos User Id for the user who the request was submitted by. Example: "556caca7-b6d4-478b-9850-bcf54b25c6b2" - `results.submittedBy.firstName` (string) First Name of the user who the request was submitted by. Example: "Erlich" - `results.submittedBy.lastName` (string) Last Name of the user who the request was submitted by. Example: "Bachman" - `results.submittedBy.email` (string) Email address used for the user account who the request was submitted by. Example: "erlich.backman@piedpipper.com" - `results.status` (string) The status of the Request in it's current state. Example: "In Progress" - `results.metadata` (array) Example: [{"name":"Release Date","value":"01/01/2024"},{"name":"Product","value":"HooliDocs"},{"name":"Usage Table","value":[[{"name":"Usage Category","value":"E-Commerce"},{"name":"Usage Length","value":"12 months"}]]}] ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)